/*********************************************************************
*                                                                    *          
*                              FLY                                   *
*                           --E#Y#E--				     *
*                         ===MUSCLE===                               *
*                                                                    *
*********************************************************************/
#ifndef WIN_H_
#define WIN_H_

/* C++ Header Files */
#include <cstdio>
#include <cstdlib>
#include <ctime>
/* X11 */
#include <X11/X.h>
#include <X11/Xlib.h>
/* Flysimulator */
#include "fps.h"
#include "opengl.h"
#include "cockpit.h"
/* OpenGL */
#include <GL/gl.h>
#include <GL/glx.h>
#include <GL/glu.h>

//---------------------------------------------------------------------------

/* Class Wind */
class WIND
{
public:
	/* Function */
	void createWin(bool wide);
	void perspective();
	void eventloop(void);
	void loadFont();
	void closeWin();
};

//---------------------------------------------------------------------------

#endif

